{ config, pkgs, ... }: {
  home-manager.users.agatha = {
    # Lockscreen
    services.betterlockscreen = {
      enable = true;
      package = pkgs.unstable.betterlockscreen;
      arguments = [ "dimblur" ];
    };

    # Update lockscreen wallpaper after locking
    home.file.".config/betterlockscreen/custom-post.sh".text =
      "betterlockscreen -u ${
        config.environment.graphical.colorschemes."${config.environment.graphical.theme.name}".image
      }";

    home.file.".config/betterlockscreen/custom-post.sh".executable = true;

    # Send a notification 10 seconds before locking
    services.screen-locker.xautolock.extraOptions = [
      "-notify 10"
      "-notifier '${pkgs.dunst}/bin/dunstify -t 10000 -u 2 \"Screen will lock in 10 seconds\"'"
    ];
  };
}
